For older version see also 

TIS Version


6.6


6.9

7.0

WFM-Integration


SPX Version 22.3 LTSR

plano 1.38

SPX Version 24.1

plano 1.39

plano 2024.1 

SERVER

Operating system

  • Microsoft® Windows Server 2012 R2 (64bit)
  • Microsoft® Windows Server 2016 (64bit)
  • Microsoft® Windows Server 2019 (64bit)
  • Microsoft® Windows Server 2016 (64bit)
  • Microsoft® Windows Server 2019 (64bit)
  • Microsoft® Windows Server 2022 (64bit)
  • Microsoft® Windows Server 2016 (64bit)
  • Microsoft® Windows Server 2019 (64bit)
  • Microsoft® Windows Server 2022 (64bit)

Powershell

Powershell v7 not supported by TISInstaller


Powershell v7

Web-Server



.NET

  • .NET Framework 4.6.1
  • .NET Framework 4.8
  • .NET Framework 4.8

C Runtime Library



Python (included)

  • Python 3.9.1 (included)
    • 3.9.12 in up-coming patch available
  • PyPy (Python 3.7.9, PyPy 7.3.3-beta0) (included)
  • Python 3.9.12 (included)
  • PyPy (Python 3.9, PyPy 7.3.8) (included)
  • Python 3.11 (included)
  • PyPy (Python 3.9, PyPy 7.3.8) (included)

Chrome/ChromeDriver

(included) for TIS Testrun Engine



Database (DBMS)

  • Microsoft® SQL Server Version
    • 2014 SP2
    • 2016 SP2 CU7 (13.0.5337.0)
    • 2017 RTM-CU16 (14.0.3223.3)
    • 2019 RTM (15.0.2000.5)
  • Microsoft® SQL Server Version
    • 2017 RTM-CU16 (14.0.3223.3)
    • 2019 RTM (15.0.2000.5)


  • Oracle Version
    • 12c Release 2
    • 18c 
    • 19c

(warning) Oracle Client Version must match the Oracle Server Version

(warning) RAC not supported

  • Oracle Version
    • 12c Release 2
    • 18c
    • 19c
    • 21c

Oracle Client not required anymore due to using managed data access

On Failover TIService restarts automatically.

See also Oracle Requirements

  • Oracle Version
    • 19c
    • 21c

Oracle Client not required anymore due to using managed data access. Please make sure that the machine config doesn't contain an <oracle.manageddataaccess.client> setting.

On Failover TIService restarts automatically.

See also Oracle Requirements

  • PostgreSQL *)
    • 11
    • 12
    • 13
  • pgagent 4.0.0 or higher
  • pgbouncer 1.7.2. or higher

*) only for TIS stand-alone without SPX integration

  • PostgreSQL *)
    • 11
    • 12
    • 13
    • 14
  • pgagent not required anymore due to cronjobs
  • PostgreSQL *)
    • 12
    • 13
    • 14
  • pgagent not required anymore due to cronjobs

Redis

Processors

  • 2 Core 64bit 

(warning) Note this is minimum requirement. In general a sizing calculation is necessary depending on use cases.



Physical Memory

  • 16GB, recommended 32GB

(warning) Note this is minimum requirement. In general a sizing calculation is necessary depending on use cases.








CLIENT

Operating system

  • Microsoft® Windows 10 or higher



Web browser (Board)

  • Microsoft® Internet Explorer 11.0 or higher
  • Microsoft® Edge 15 or higher
  • Firefox® 52 or higher
  • Google® Chrome 49 or higher


  • Microsoft® Edge 110 or higher
  • Firefox® 110 or higher
  • Google® Chrome 110 or higher

(warning) Recommended Browser Settings

  • Microsoft® Edge 110 or higher
  • Firefox® 110 or higher
  • Google® Chrome 110 or higher

(warning) Recommended Browser Settings

Web browser (Editor)

  • Microsoft® Internet Explorer 11.0 or higher
  • Microsoft® Edge 15 or higher
  • Firefox® 52 or higher
  • Google® Chrome 49 or higher


  • Microsoft® Edge 110 or higher
  • Firefox® 110 or higher
  • Google® Chrome 110 or higher

(warning) Recommended Browser Settings

  • Microsoft® Edge 110 or higher
  • Firefox® 110 or higher
  • Google® Chrome 110 or higher

(warning) Recommended Browser Settings